user/dev discussion of public-inbox itself
 help / color / mirror / code / Atom feed
From: Eric Wong <e@80x24.org>
To: meta@public-inbox.org
Subject: [PATCH 3/8] ci/run.sh: parameterize BUILD_JOBS TEST_JOBS and TEST_TARGET
Date: Sat,  9 Sep 2023 12:01:37 +0000	[thread overview]
Message-ID: <20230909120142.1041752-4-e@80x24.org> (raw)
In-Reply-To: <20230909120142.1041752-1-e@80x24.org>

Parallezing BUILD_JOBS is usually harmless, but TEST_JOBS can
be problematic when tracking down problems on new platforms.
TEST_TARGET can be `check' or `check-run' for performance.
---
 ci/run.sh | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/ci/run.sh b/ci/run.sh
index 9613943b..1faf92c2 100755
--- a/ci/run.sh
+++ b/ci/run.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-# Copyright (C) 2019-2021 all contributors <meta@public-inbox.org>
+# Copyright (C) all contributors <meta@public-inbox.org>
 # License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>
 set -e
 SUDO=${SUDO-'sudo'} PERL=${PERL-'perl'} MAKE=${MAKE-'make'}
@@ -8,14 +8,16 @@ DO=${DO-''}
 set -x
 if test -f Makefile
 then
-	$DO $MAKE clean
+	$DO $MAKE clean >/dev/null
 fi
+NPROC=${NPROC-$({ getconf _NPROCESSORS_ONLN || getconf NPROCESSORS_ONLN ||
+	gnproc || nproc || echo 2; } 2>/dev/null)}
 
 ./ci/profiles.sh | while read args
 do
 	$DO $SUDO $PERL -w ci/deps.perl $args
 	$DO $PERL Makefile.PL
-	$DO $MAKE
-	$DO $MAKE check
-	$DO $MAKE clean
+	$DO $MAKE -j${BUILD_JOBS-$NPROC}
+	$DO $MAKE -j${TEST_JOBS-1} ${TEST_TARGET-test}
+	$DO $MAKE clean >/dev/null
 done

  parent reply	other threads:[~2023-09-09 12:01 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-09 12:01 [PATCH 0/8] NetBSD-related updates Eric Wong
2023-09-09 12:01 ` [PATCH 1/8] Makefile.PL: check `getconf NPROCESSORS_ONLN', too Eric Wong
2023-09-09 12:01 ` [PATCH 2/8] ipc: define _SC_NPROCESSORS_ONLN for NetBSD Eric Wong
2023-09-09 12:01 ` Eric Wong [this message]
2023-09-09 12:01 ` [PATCH 4/8] ci/profiles: rewrite in Perl Eric Wong
2023-09-09 21:14   ` [SQUASH] manifest update Eric Wong
2023-09-09 12:01 ` [PATCH 5/8] update CI helper scripts for NetBSD and `pkgin' Eric Wong
2023-09-09 12:01 ` [PATCH 6/8] xap_helper: note __cleanup__ works with C++ exceptions Eric Wong
2023-09-16 13:10   ` [PATCH] xap_helper: test cleanup + throw support in C++ Eric Wong
2023-09-09 12:01 ` [PATCH 7/8] xap_helper: use _OPENBSD_SOURCE on NetBSD for reallocarray Eric Wong
2023-09-09 12:01 ` [PATCH 8/8] xap_helper: clamp workers to USHRT_MAX Eric Wong

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://public-inbox.org/README

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230909120142.1041752-4-e@80x24.org \
    --to=e@80x24.org \
    --cc=meta@public-inbox.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/public-inbox.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).